import request from '/utils/request.js';

export function getClientCustomerApi() {
    return {
        // 获取中介二维码
        GetMediatorQrCode: () => {
            return request.request({
                url: '/ClientMediator/GetMediatorQrCode',
                method: 'get'
            });
        },
        // 获取中介信息
        GetMediatorInfoById: () => {
            return request.request({
                url: '/ClientMediator/GetMediatorInfoById',
                method: 'get'
            });
        },
        // 修改中介信息
        UpdateMediatorInfo: (data) => {
            return request.request({
                url: '/ClientMediator/UpdateMediatorInfo',
                method: 'post',
                data
            });
        },
        // 获取中介的邀请记录
        GetMediatorUpUserList: () => {
            return request.request({
                url: '/ClientMediator/GetMediatorUpUserList',
                method: 'post'
            });
        },
        // 获取当前用户绑定的中介信息
        GetMediatorByUser: () => {
            return request.request({
                url: '/ClientMediator/GetMediatorByUser',
                method: 'get'
            });
        },
        GetMediatorCompanyAllList: () => {
            return request.request({
                url: '/ClientMediator/GetMediatorCompanyAllList',
                method: 'get'
            });
        },
        ApplyMediator: (data) => {
            return request.request({
                url: '/ClientMediator/ApplyMediator',
                method: 'post',
                data
            });
        }
    };
}